Đến nội dung


Hình ảnh
- - - - -

Nhờ viết lisp thông kê giá trị trong block ATT


  • Please log in to reply
49 replies to this topic

#21 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 07 May 2015 - 11:46 PM

 

Mạn phép anh giabach Tue_NV sửa lại chút đỉnh cho  phù hợp với y/c của bạn pawuta

(defun c:ThKl (/ doc)
  (vl-load-com)
  (princ "\nChon Block can tong hop :")
  (if (ssget (list (cons 0 "INSERT")(cons 66 1)))
    (tkatt (vla-get-ActiveSelectionSet (setq doc (vla-get-ActiveDocument (vlax-get-Acad-Object))))
  (vla-get-modelspace doc) "DK" "TCD" "TKL" )
    (princ "\nKhong chon duoc Block thuoc tinh."))
  (princ))
(defun tkatt (ssets msp idTag val1tag val2tag / asoc h i id lst pt row tblobj val1 val2 width)
    ;;  By : Gia_Bach, www.CadViet.com 2015 ;;
  (vlax-for obj ssets
    (setq id nil val1 nil val2 nil)
    (foreach att (vlax-invoke obj 'GetAttributes)
      (cond
( (= (vla-get-TagString att) idTag)
 (setq id (vla-get-TextString att)) )
( (= (vla-get-TagString att) val1Tag)
 (setq val1 (vla-get-TextString att)) )
( (= (vla-get-TagString att) val2Tag)
 (setq val2 (vla-get-TextString att)) ) ))
    (if (and id (distof id 2) val1 val2(setq val1 (distof val1 2))(setq val2 (distof val2 2)))
      (if (setq asoc (assoc id lst))
(setq lst (subst (cons id (list (+ val1 (car(cdr asoc))) (+ val2 (cadr(cdr asoc))))) asoc lst))
(setq lst (append lst (list (cons id (list val1 val2)))) )) ))
  (cond
    ( (not lst )
      (princ "\nKhong tim duoc so lieu.") )
    ( (> (atof (substr (getvar "ACADVER") 1 4)) 16.0)
      (if (setq pt (getpoint "\nDiem dat Bang tong hop:"))
(progn
 (setq h 1.8 width (* 6 h)
TblObj (vla-addtable msp (vlax-3d-point pt) (length lst) 4 (* 2 h) width))
(vla-unMergeCells TblObj 0 0 0 3)
 (vla-put-regeneratetablesuppressed TblObj :vlax-false)
 (vla-put-vertcellmargin TblObj (* 0.75 h))
 (mapcar '(lambda (x)(vla-setTextHeight TblObj x h))
 (list acTitleRow acHeaderRow acDataRow) )
 (mapcar '(lambda (x)(vla-setAlignment TblObj x 8))
 (list acTitleRow acHeaderRow acDataRow))
 
 
 
 ;(vla-setText TblObj 0 0 "Bang tong hop")
 ;(vla-setText TblObj 1 0 "STT")
 ;(vla-setText TblObj 0 0 idTag)
 ;(vla-setText TblObj 1 2 val1Tag)
 ;(vla-setText TblObj 1 3 val2Tag)
 (setq row 0 i 1)
 (foreach pt (vl-sort lst '(lambda (x y) (< (car x) (car y))))
   (vla-setText TblObj row 0 (itoa i))
   (vla-setText TblObj row 1 (car pt))
   (vla-setText TblObj row 2 (rtos(car(cdr pt))2 2))
   (vla-setText TblObj row 3 (rtos(cadr(cdr pt))2 2))
   (setq row (1+ row) i (1+ i)) )
 (vla-put-regeneratetablesuppressed TblObj :vlax-false)
 (vlax-release-object TblObj)     )))
    ( t
      (foreach it (vl-sort lst '(lambda (x y) (< (car x) (car y))))
(princ (strcat "\n"(car it) " : " (rtos(car(cdr it))2 2) " : " (rtos(cadr(cdr it))2 2))))  ) )
  )

Cảm ơn bạn Tue_NV nhiều nhé, lisp chạy oke rồi, một lần nữa cảm ơn mọi người đã quan tâm tới bài viết. Chỉ còn phần link giá trị nữa là thoả mãn cuộc tình luôn, khi nào các bạn có dịp ghé lại bài viết này thì thêm phần link giá trị nữa nhé! Chúc các bạn luôn thành công trong cuộc sống


  • 0

#22 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 08 May 2015 - 05:50 AM

Cảm ơn bạn Tue_NV nhiều nhé, lisp chạy oke rồi, một lần nữa cảm ơn mọi người đã quan tâm tới bài viết. Chỉ còn phần link giá trị nữa là thoả mãn cuộc tình luôn, khi nào các bạn có dịp ghé lại bài viết này thì thêm phần link giá trị nữa nhé! Chúc các bạn luôn thành công trong cuộc sống

 

 - Việc link field từ ATT tới bảng tổng hợp thép theo mình có lẽ không cần thiết. Bởi nó hơi bị nguy hiểm. Khi copy 1 ATT ra để thống kê do vô tình quên, cứ tưởng sửa ATT thì bảng thống kê sẽ "nhảy" theo. Nhưng nó không update được. Cứ thống kê xong thì quét lại cho chắc ăn.

 

- Số pi trong field bạn viết số dài dằng dặc 3.1416........ như thế. Chỉ cần thay số dài dằng dặc 3.1416........ bằng pi là được


  • 0

#23 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 08 May 2015 - 08:40 AM

 - Việc link field từ ATT tới bảng tổng hợp thép theo mình có lẽ không cần thiết. Bởi nó hơi bị nguy hiểm. Khi copy 1 ATT ra để thống kê do vô tình quên, cứ tưởng sửa ATT thì bảng thống kê sẽ "nhảy" theo. Nhưng nó không update được. Cứ thống kê xong thì quét lại cho chắc ăn.

 

- Số pi trong field bạn viết số dài dằng dặc 3.1416........ như thế. Chỉ cần thay số dài dằng dặc 3.1416........ bằng pi là được

Hehe, bạn nói cũng có lý, cảm ơn nhiều nhé. Số pi mới đầu mình gán 3.14 chạy ra kết quả sai nên chơi luôn một dãy cho chắc.

Tiện cho mình hỏi thêm cái này nhé! Trong field có công thức nào làm tròn một số thập phân không vậy, cụ thể như thế này:

A/B=0.1 thì kết quả là 0; A/B=0.5 -> 0; A/B=0.9 -> 0; tổng quát là A/B=C.DEF....kết quả là = C

Mình đang tính cho phần chiều dài nối cốt thép bằng cách tạo thêm một hệ số là:

(CHIỀU DÀI/11700*30*D) nhưng nếu tính thế nó sẽ bị dư.

Bạn và mọi người biết cách thì chỉ mình với nhé!

Do sẵn hỏi về cái này nên hỏi luôn, nếu nội dung mình viết không đúng chủ đề mong mọi người bỏ qua!


  • 0

#24 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 08 May 2015 - 10:43 AM

Sử dụng hàm Trunc (real) trong formula.


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#25 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 08 May 2015 - 01:04 PM

Sử dụng hàm Trunc (real) trong formula.

Oke, cảm ơn bạn!


  • 0

#26 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 09 May 2015 - 09:54 AM

Chào các bác và ACE trên DD, em xin được ké Topic này.
Em cũng có vấn đề với thống kê ATT BLOCK nhờ các bác trợ giúp <Xin cám ơn các bác trước!!!>.
Em đã tìm kiếm trên DD nhưng chưa có lisp nào phù hợp với nhu cầu của em, hoặc là chưa tìm ra... mong các bác thông cảm.
Cụ thể là:
+ Trên bản vẽ của em có 2 loại Att Block.
+ Mỗi Att Block có 2 Tag, 1 Tag là ký hiệu cửa (KYHIEU), 1 Tag là quy cách cửa (QUYCACH).
+ Trong Tag QUYCACH có ghi: 2S-1200-K250 hoặc 4D-1800-K150.
* Trong đó:
- Số đầu tiên là số cánh cửa (2 hay 4)
- Thứ 2 là (S or D) là (S) - cửa sổ, (D) - Cửa đi.
- Tiếp theo: 1200 or 1800 là chiều rộng cửa.
- Cuối cùng: 250 or 150 là 1 chiều của tiết diện khuôn cửa.
+ Block và bảng thống kê trong bản vẽ kèm theo.
Một lần nữa xin cám ơn các bác và ACE trước...!
file: http://www.cadviet.c...736_tkcua_1.dwg
  • 0

#27 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 10 May 2015 - 12:19 AM

Sử dụng hàm Trunc (real) trong formula.

Mình còn bị vướng một vấn đề mà tìm không ra được cách giải quyết, là ở chỗ nếu mà CHIỀU DÀI =<11700 thì kết quả trả về cũng kết quả là bằng 0, nên dùng hàm trunc không được. Mong bạn và mọi người chỉ mình cách tính trong formula giống như hàm if trong excel là:

IF(CHIỀU DÀI <= 17000,CHIỀU DÀI,CHIỀU DÀI + 30*ĐƯỜNG KÍNH*CHIỀU DÀI/11700)

(nếu chiều dài bé hơn hoặc bằng 11700 thì kết quả trả về là 11700, nếu chiều dài lớn hơn 11700 thì kết quả trả về là bằng 30*ĐƯỜNG KÍNH*CHIỀU DÀI/11700)

Cảm ơn bạn và mọi người trước nhé!


  • 0

#28 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 10 May 2015 - 06:52 AM

Mình còn bị vướng một vấn đề mà tìm không ra được cách giải quyết, là ở chỗ nếu mà CHIỀU DÀI =<11700 thì kết quả trả về cũng kết quả là bằng 0, nên dùng hàm trunc không được. Mong bạn và mọi người chỉ mình cách tính trong formula giống như hàm if trong excel là:

IF(CHIỀU DÀI <= 17000,CHIỀU DÀI,CHIỀU DÀI + 30*ĐƯỜNG KÍNH*CHIỀU DÀI/11700)

(nếu chiều dài bé hơn hoặc bằng 11700 thì kết quả trả về là 11700, nếu chiều dài lớn hơn 11700 thì kết quả trả về là bằng 30*ĐƯỜNG KÍNH*CHIỀU DÀI/11700)

Cảm ơn bạn và mọi người trước nhé!

 

Cái này lạ nghe!

- Nếu chiều dài <11700 thì trả về 11700 . Ví dụ chiều dài thanh thép có 1,0m thì trả về 11,7m thì lạ quá!

- Câu màu đỏ mâu thuẫn với câu màu xanh trong bài viết của bạn!

- Trong Formular không có if 


  • 0

#29 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 10 May 2015 - 08:33 AM

Theo đà này thì bác pawuta sẽ có thêm vướng mắc.
1. Chieudai/11700 = a (số nguyên hay không???).
Khi: 1 < a <= 2 luôn có 1 đoạn nối
Khi: a > 2
+ n < a <= (n+1) |=> đều có n-1 đoạn nối.
2. Khi đường kính thép là 8 hay 6 ???
...
  • 0

#30 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 10 May 2015 - 09:00 AM

Cái này lạ nghe!

- Nếu chiều dài <11700 thì trả về 11700 . Ví dụ chiều dài thanh thép có 1,0m thì trả về 11,7m thì lạ quá!

- Câu màu đỏ mâu thuẫn với câu màu xanh trong bài viết của bạn!

- Trong Formular không có if 

Hehe, xin lỗi mình nhầm: nếu CHIỀU DÀI bé hơn hoặc bằng 11700 thì kết quả trả về là CHIỀU DÀI, nếu lớn hơn 11700 thì kết quả trả về là CHIỀU DÀI + 30*ĐƯỜNG KÍNH*CHIỀU DÀI/11700). Mình định đặt cái hàm này vô công thức tính chiều dài thép luôn, bạn có cách nào giải quyết không giúp mình với, chỉ còn mỗi chỗ này nữa thôi.

Với lại xin phép phiền bạn và mọi nguời nếu có thời gian rãnh thì giúp mình sửa lại lisp bài #20 thành thế này nhé, để sử dụng cho việc bốc dự toán:

136880_capture_2.jpg

Cảm ơn bạn và mọi người!


  • 0

#31 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 10 May 2015 - 09:22 AM

Theo đà này thì bác pawuta sẽ có thêm vướng mắc.
1. Chieudai/11700 = a (số nguyên hay không???).
Khi: 1 < a <= 2 luôn có 1 đoạn nối
Khi: a > 2
+ n < a <= (n+1) |=> đều có n-1 đoạn nối.
2. Khi đường kính thép là 8 hay 6 ???
...

Hehe, cảm ơn bạn đã góp ý:

1. là mình đã giải quyết bằng cách dùng hàm trunc để a luôn là số nguyên; nhưng chỉ sợ a = 1 thôi, vì a=1 thì n=0, cái này nhờ anh em giải quyết giúp, nếu được thì quá tuyệt vời

2. khi thống kê cho thép 6 hoặc 8 thì mình không cho hệ số a vào

Mình làm cái thống kê này chủ yếu là đặt công thức trong formula (field)nên bị hạn chế lắm


  • 0

#32 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 10 May 2015 - 11:35 AM

Hehe, xin lỗi mình nhầm: nếu CHIỀU DÀI bé hơn hoặc bằng 11700 thì kết quả trả về là CHIỀU DÀI, nếu lớn hơn 11700 thì kết quả trả về là CHIỀU DÀI + 30*ĐƯỜNG KÍNH*CHIỀU DÀI/11700). Mình định đặt cái hàm này vô công thức tính chiều dài thép luôn, bạn có cách nào giải quyết không giúp mình với, chỉ còn mỗi chỗ này nữa thôi.

................

Cảm ơn bạn và mọi người!

 

Hàm Trunc Giải quyết chỗ này tốt mà bạn!

Chiều dài + (trunc (CHIỀU DÀI/11700)*30*Đường kính)


  • 0

#33 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 10 May 2015 - 12:05 PM

Hàm Trunc Giải quyết chỗ này tốt mà bạn!

Chiều dài + (trunc (CHIỀU DÀI/11700)*30*Đường kính)

Nếu CHIỀU DÀI = 11700 thì đâu có cộng thêm đoạn thép nối đâu bạn, chỉ khi chiều dài lớn hơn 11700 thì mới cộng thêm đoạn thép nối CHIỀU DÀI/11700)*30*Đường kính

Cụ thể là thế này:

CHIỀU DÀI <= 11700 thì kết quả của hàm (trunc (CHIỀU DÀI/11700)*30*Đường kính) phải = 0

11700<CHIỀU DÀI <23400 thì kết quả trả về là (trunc (CHIỀU DÀI/11700)*30*Đường kính) phải = 1

23400 <=CHIỀU DÀI < 35100 (hoặc cấp số nhân của 11700 trừ cấp số nhân là "1") thì kết quả (trunc (CHIỀU DÀI/11700)*30*Đường kính) phải = 2

......

Hehe, mình không biết phải làm sao nữa, vấn đề là khi CHIỀU DÀI = 11700 thì (trunc (CHIỀU DÀI/11700)*30*Đường kính) = 0

mà CHIỀU DÀI = 23400 thì (trunc (CHIỀU DÀI/11700)*30*Đường kính) = 2


  • 0

#34 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 10 May 2015 - 02:24 PM

Nếu CHIỀU DÀI = 11700 thì đâu có cộng thêm đoạn thép nối đâu bạn, chỉ khi chiều dài lớn hơn 11700 thì mới cộng thêm đoạn thép nối CHIỀU DÀI/11700)*30*Đường kính

Cụ thể là thế này:

CHIỀU DÀI <= 11700 thì kết quả của hàm (trunc (CHIỀU DÀI/11700)*30*Đường kính) phải = 0

11700<CHIỀU DÀI <23400 thì kết quả trả về là (trunc (CHIỀU DÀI/11700)*30*Đường kính) phải = 1

-> sai <=23400 mới đúng

23400 <=CHIỀU DÀI < 35100 (hoặc cấp số nhân của 11700 trừ cấp số nhân là "1") thì kết quả (trunc (CHIỀU DÀI/11700)*30*Đường kính) phải = 2

-> sai 23400<chiều dài<=35100 mới đúng

......

Hehe, mình không biết phải làm sao nữa, vấn đề là khi CHIỀU DÀI = 11700 thì (trunc (CHIỀU DÀI/11700)*30*Đường kính) = 0

mà CHIỀU DÀI = 23400 thì (trunc (CHIỀU DÀI/11700)*30*Đường kính) = 2

 

Lợi dụng tính chất là kích thước thép buộc phải là số nguyên, bạn có thể làm như sau:

Chiều dài +(trunc((chiều dài-0.1)/11700)*30*D)

 

Không thể nào nhập thanh thép mà thanh nó có kích thước 11700.1 cả, phải không?

Mà thanh thép có L=11701 thì đương nhiên >11700 thì phải +30D rồi, pk? ^_^

 

PS: Mấy dòng mình bôi xanh trong bài viết của bạn là mấy dòng bạn viết có sự nhầm lẫn đó ^_^


  • 0

#35 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 10 May 2015 - 03:04 PM

Lợi dụng tính chất là kích thước thép buộc phải là số nguyên, bạn có thể làm như sau:

Chiều dài +(trunc((chiều dài-0.1)/11700)*30*D)

 

Không thể nào nhập thanh thép mà thanh nó có kích thước 11700.1 cả, phải không?

Mà thanh thép có L=11701 thì đương nhiên >11700 thì phải +30D rồi, pk? ^_^

 

PS: Mấy dòng mình bôi xanh trong bài viết của bạn là mấy dòng bạn viết có sự nhầm lẫn đó ^_^

Hehe, mấy bữa mình cũng nhiều cách và cũng đã làm như vậy nhưng không được tại vì mình không sai đâu.

ví dụ: bạn lấy 2 cây 11700 nối lại với nhau thì phải trừ đi 30d rồi, nên chỉ còn là 23400-30D, vậy khi muốn chiều dài là 23400 thì phải nối thêm một đoạn là (23400-30D)+30D. Cho nên nó bằng 2 mối nối, tương tự nếu muốn có chiều dài là 35100 thì phải có 3 mối nối.

Cái này chỉ còn khi thác ở chỗ bạn nói là không ai mà dùng thép số lẻ cả nhưng vậy thì nó lại khó ở chỗ là khi CHIỀU DÀI = 11700 và cấp số nhân của 11700


  • 0

#36 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 10 May 2015 - 03:50 PM

Hehe, mấy bữa mình cũng nhiều cách và cũng đã làm như vậy nhưng không được tại vì mình không sai đâu.

ví dụ: bạn lấy 2 cây 11700 nối lại với nhau thì phải trừ đi 30d rồi, nên chỉ còn là 23400-30D, vậy khi muốn chiều dài là 23400 thì phải nối thêm một đoạn là (23400-30D)+30D. Cho nên nó bằng 2 mối nối, tương tự nếu muốn có chiều dài là 35100 thì phải có 3 mối nối.

Cái này chỉ còn khi thác ở chỗ bạn nói là không ai mà dùng thép số lẻ cả nhưng vậy thì nó lại khó ở chỗ là khi CHIỀU DÀI = 11700 và cấp số nhân của 11700

 

Mình không hiểu ý bạn nói

Nếu như cây 23400 thì chỉ cần 2 cây 11700 nối đối đầu với nhau và chỉ cần 1 đoạn nối thôi chứ nhỉ?


  • 0

#37 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 10 May 2015 - 04:20 PM

Mình không hiểu ý bạn nói

Nếu như cây 23400 thì chỉ cần 2 cây 11700 nối đối đầu với nhau và chỉ cần 1 đoạn nối thôi chứ nhỉ?

Theo cách mình tính là nối 2 thanh thép chồng lên nhau một khoảng là 30D mà bạn, mình không sử dụng cách nối là có thêm thanh trung gian nếu như vậy đoạn thép nối phải là 60D lận.


  • 0

#38 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 10 May 2015 - 09:37 PM

Như vậy thì hàm trunc chỉ bị 1 lỗi ở thanh 11700 thôi, còn lại là đúng hết phai không bạn?

Thật đáng tiếc trong formular thì không có hàm if, dùng diesel trong field thì có hàm if nhưng nó không link tới các kích thước thành phần của thép được

Chắc chỉ có dùng Lisp tác động vào thôi


  • 0

#39 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 10 May 2015 - 09:52 PM

Vấn đề nằm ở chỗ này...
Trường hợp 1: Nếu cần 1 thanh có chiều dài là: 23.400
+ Nối đối đầu: Thì cần thêm 1 thanh có chiều dài 60D (vì mỗi 30D được nối với 1 thanh).
+ Nối chồng (Kiểu bắt tay): Gồm 2 thanh 11.700, như vậy chiều dài còn thiếu 30D,
=>thêm 1 đoạn nữa => nếu nối chồng tiếp thì cần 1 thanh có chiều dài 30D+30D=60D
Trường hợp 2: Nếu cần 1 thanh có chiều dài là: 20.000
+ Nối đối đầu: Giống như trên
+ Nối chồng: 11.700+8.300+30D=20.000+30D (chỉ cần thêm 30D).
Các bác nghĩ sao???
  • 0

#40 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 10 May 2015 - 10:33 PM

Như vậy thì hàm trunc chỉ bị 1 lỗi ở thanh 11700 thôi, còn lại là đúng hết phai không bạn?

Thật đáng tiếc trong formular thì không có hàm if, dùng diesel trong field thì có hàm if nhưng nó không link tới các kích thước thành phần của thép được

Chắc chỉ có dùng Lisp tác động vào thôi

Đúng rồi bạn, mình chỉ bị vướng mỗi chỗ này thôi là oke rồi, làm công thức hoài mà vẫn không được, nếu có lisp tác động vào thì nó sẽ tác động như thế nào vậy bạn!


  • 0